<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: epg/model/genre.proto

namespace Tellie\Epg\Model;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.epg.model.Genre</code>
 */
class Genre extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.LocalizedField name = 1;</code>
     */
    private $name;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type array<\Tellie\Epg\Model\LocalizedField>|\Google\Protobuf\Internal\RepeatedField $name
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Epg\Model\Genre::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.LocalizedField name = 1;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.LocalizedField name = 1;</code>
     * @param array<\Tellie\Epg\Model\LocalizedField>|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setName($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tellie\Epg\Model\LocalizedField::class);
        $this->name = $arr;

        return $this;
    }

}

